Subject: [netmod] Overriding maxAccess

From: "Sharon Chisholm" <[email-masked]>
Date: Fri, 21 Nov 2008 09:34:03 -0500

Hi

I may have raised back this on the list during the Dublin meeting, but
here is another potential gaps in Yang that we identified during the
DSDL work.

Overriding maxAccess on config/non-config

>From some hallways discussions, there is some interest in this. While we
have the following defaults

         +---------------+-----------+--------------------------+
         | Data Category | minAccess | maxAccess                |
         +---------------+-----------+--------------------------+
         | config        | read      | read,write,create,delete |
         |               |           |                          |
         | non-config    | read      | read                     |
         +---------------+-----------+--------------------------+

These can be overwritten with an option maxAccess attribute:

<dml:config maxAccess="read write delete">true</dml:config>

Sharon Chisholm
Nortel 
Ottawa, Ontario
Canada
_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

---

From: Balazs Lengyel <[email-masked]>
Date: Fri, 21 Nov 2008 16:05:29 +0100

Hello,
We also have in the Ericsson modeling language config data that is read-only or 
create-only so it would be nice to see a feature like this fit into YANG.
Balazs